function centra(){
	var ancho = (window.screen.width) / 2 - 405 ;
	var alto =  (window.screen.height )/ 2 - 335;
	self.moveTo(ancho,alto);
}
	max = preguntas.length
	var numPreguntas = new Array(-1,-1,-1,-1,-1)
function Comprobar() {
	var resultado=0;
	for (i=0;i<cuestion.elements.length;i++){
	         if ((cuestion.elements[i].type=="radio") &&
	            (cuestion.elements[i].value=="b") &&
	            (cuestion.elements[i].checked)){
	              resultado++;
		          cuestion.elements[i].style.background = "red";
	          }
	}
	alert("Tienes bien "+resultado+" de las 5 cuestiones.");
	if(resultado == 5)setTimeout("preguntar()",3000)
}	
	
function preguntar(){
	for(n=0;n<5;n++){
		do{
			var repe = false
			num = Math.round( Math.random()*5 )
			for(m=0;m<5;m++){
				if(numPreguntas[m] == num)repe = true
			}
		}while(repe)
		numPreguntas[n] = num
	}
	enunciados.innerHTML = ""
	for(n=0;n<5;n++){
		enunciados.innerHTML += "<div class=pregunta style='LEFT: 20px; TOP: " + (5 + 60*n) + "px'>" + preguntas[numPreguntas[n]] + "</div>"
		enunciados.innerHTML += "<div class=respuesta style='LEFT: 30px; TOP: " + (20 + 60*n)  + "px'><input type='radio' value=" +( (correctas[numPreguntas[n]] == 1)? ('b') : ('m') )+ " name='R" + n + "'>" + respuestas[numPreguntas[n]*3] + "</div>"
		enunciados.innerHTML += "<div class=respuesta style='LEFT: 280px; TOP: " + (20 + 60*n) + "px'><input type='radio' value=" +( (correctas[numPreguntas[n]] == 2)? ('b') : ('m') )+ " name='R" + n + "'>" + respuestas[numPreguntas[n]*3 + 1] + "</div>"
		enunciados.innerHTML += "<div class=respuesta style='LEFT: 530px; TOP: " + (20 + 60*n) + "px'><input type='radio' value=" +( (correctas[numPreguntas[n]] == 3)? ('b') : ('m') )+ " name='R" + n + "'>" + respuestas[numPreguntas[n]*3 + 2] + "</div>"
		
	}	
}


//Sopa de letras
var letras_ = new Array()
var sopa_ = new Array()
var pistas_
var direccion_ = 0 //1:horizontal 2:vertical 3:oblicuo
var ultimas_ = new Array()
var contLetras_ = new Array()
var	pistas_ = new Array()
var	hechas_ = 0
var dimensiones 

function rellena(){
	dimensiones = Math.sqrt(sopa_.length)	
	for(n=1; n< (dimensiones * dimensiones + 1); n ++){
		var a
		eval("a = c" + n)
		a.innerText = sopa_[n - 1]
		a.style.backgroundColor = 'white'
		a.style.color = 'black'
	}
	
	for(n=0; n< pistas_.length ; n++){
		var a
		eval("a = " + pistas_[n])
		a.style.color = 'blue'
	}
	for(n=0; n<contLetras_.length - 1; n++){
		var a
		eval("a = c" + contLetras_[n])
		a.style.color = 'red'
	}
	
}
function marca(valor_){
	var sigue = false
	a = ultimas_.length
	if(a == 1){
		a = ultimas_[0]
		var dif = Math.abs(a - valor_)
		switch(dif){
			case (dimensiones + 1):
				direccion_ = 3
				sigue = true
				break
			case (dimensiones - 1):
				direccion_ = 4
				sigue = true
				break
			case (dimensiones):
				direccion_ = 2
				sigue = true
				break
			case 1:
				if(valor_ % dimensiones !=0){
					direccion_ = 1
					sigue = true
				}
				break
		}
	}else{
		a = ultimas_[a - 1]
		var dif = Math.abs(a - valor_)
		if(dif == (dimensiones + 1) & (direccion_ == 3) )sigue = true
		if(dif == (dimensiones - 1) & (direccion_ == 4) )sigue = true
		if(dif == dimensiones & (direccion_ == 2) )sigue = true
		if( (dif == 1)  & (direccion_ == 1) )sigue = true  //& (valor_ % dimensiones !=0)
	}
	yasta = false
	for(n=0; n<ultimas_.length; n++){
		if(ultimas_[n] == valor_)return true
	}
	ultimas_[ultimas_.length] = valor_
	eval("c" + valor_ + ".style.backgroundColor = 'linen'")
	
	if(sigue){
		for(n=0; n < letras_.length; n++){
			primero = letras_[n].substr(0,3)
			ultimo = letras_[n].substr(3,3)
			//if(ultimo == 0)ultimo = dimensiones * dimensiones
			if( (primero == ultimas_[0] & ultimo == valor_) || (ultimo == ultimas_[0] & primero == valor_) ){
				for(n=0; n<ultimas_.length; n++){
					var a = contLetras_.length
					eval("c" + ultimas_[n] + ".style.color = 'red'")
					eval("c" + ultimas_[n] + ".style.backgroundColor = 'white'")
					contLetras_[a] = ultimas_[n]
				}
				eval("c" + valor_ + ".style.color = 'red'")
				contLetras_[contLetras_.length] = valor_
				eval("c" + valor_ + ".style.backgroundColor = 'white'")
				ultimas_ = new Array()
				hechas_ ++ 
				miraHechas()
			}
			
		}
	}else{
		for(n=0; n< ultimas_.length - 1; n++){
			eval("c" + ultimas_[n] + ".style.backgroundColor = 'white'")
		}
		ultimas_ = new Array()
		ultimas_[0] = valor_
		direccion_ = 0
	}

}


function ponUna(){
	for(n=0; n<7; n++){
		primero = (letras_[n].substr(0,3)) * 1
		ultimo = (letras_[n].substr(3,3)) * 1
		//if(ultimo == 0)ultimo = dimensiones * dimensiones //100
		dif = Math.abs(ultimo - primero)
		inc_ = dimensiones + 1 //11
		if((ultimo - primero) < dimensiones)inc_ = 1
		if( ((ultimo - primero) % dimensiones) == 0 )inc_ = dimensiones
		for(m = primero; m < (ultimo); m += inc_){
			var a
			eval("a = c" + m)
			if(a.style.color == 'black'){
				a.style.color = 'blue'
				pistas_[pistas_.length] = a.id
				return
			}
		}
	}
}
function quitaUna(){
	for(n=0; n<7; n++){
		primero = parseInt(letras_[n].substr(0,3))
		ultimo = parseInt(letras_[n].substr(3,3))
		//if(ultimo == 0)ultimo = dimensiones * dimensiones //100
		dif = Math.abs(ultimo - primero)
		inc_ = dimensiones + 1// 11
		if((ultimo - primero) < dimensiones)inc_ = 1
		if( ((ultimo - primero) % dimensiones) == 0 )inc_ = dimensiones //10
		for(m = primero; m < (ultimo + 1); m += inc_){
			var a
			eval("a = c" + m)
			if(a.style.color == 'blue'){
				a.style.color = 'black'
				return
			}
		}
	}
}

function otra_(){
	ultimas_ = new Array()
	contLetras_ = new Array()
	pistas_ = new Array()
	hechas_ = 0
	rellena()	
}

//Sopa de letras